data:extend(
{
  
  {
    type = "recipe",
    name = "observer",
	enabled = "false",
    ingredients =
    {
      {"processing-unit", 1},
	  {"uranium-fuel-cell", 2},
	  {"alien-artifact", 1},
      {"iron-gear-wheel", 5},
      {"iron-plate", 10}
    },
    result = "observer"
  },
  
  {
    type = "item",
    name = "observer",
    icon = "__hardcorio__/graphics/icons/items/radar.png",
	icon_size = 32,
    flags = {"goes-to-quickbar"},
    subgroup = "defensive-structure",
    order = "c[radar]-b[observer]",
    place_result = "observer",
    stack_size = 50
  },
  
  {
    type = "radar",
    name = "observer",
    icon = "__hardcorio__/graphics/icons/items/radar.png",
	icon_size = 32,
    flags = {"placeable-player", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "observer"},
    max_health = 250,
    corpse = "small-remnants",
    collision_box = {{-0.4, -0.4}, {0.4, 0.4}},
    selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
    energy_per_sector = "3MJ",
    max_distance_of_sector_revealed = 4,
    max_distance_of_nearby_sector_revealed = 2,
    energy_per_nearby_scan = "80kJ",
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input"
    },
    energy_usage = "100kW",
    integration_patch =
    {
      filename = "__base__/graphics/entity/radar/radar-integration.png",
      priority = "low",
      width = 119,
      height = 108,
      apply_projection = false,
      direction_count = 1,
      repeat_count = 64,
      line_length = 1,
      shift = util.by_pixel(1.5/3, 4/3),
      scale = 1/3,
	  tint = {r=0.4, g=0.4, b=0.2, a=0.9},
      hr_version =
      {
        filename = "__base__/graphics/entity/radar/hr-radar-integration.png",
        priority = "low",
        width = 238,
        height = 216,
        apply_projection = false,
        direction_count = 1,
        repeat_count = 64,
        line_length = 1,
        shift = util.by_pixel(1.5/3, 4/3),
        scale = 0.5/3,
	    tint = {r=0.4, g=0.4, b=0.2, a=0.9}
      }
    },
    pictures =
    {
      layers =
      {
        {
          filename = "__base__/graphics/entity/radar/radar.png",
          priority = "low",
          width = 98,
          height = 128,
          apply_projection = false,
          direction_count = 64,
          line_length = 8,
          shift = util.by_pixel(1/3, -16/3),
          scale = 1/3,
	      tint = {r=0.4, g=0.4, b=0.2, a=0.9},
          hr_version = {
            filename = "__base__/graphics/entity/radar/hr-radar.png",
            priority = "low",
            width = 196,
            height = 254,
            apply_projection = false,
            direction_count = 64,
            line_length = 8,
            shift = util.by_pixel(1/3, -16/3),
            scale = 0.5/3,
	        tint = {r=0.4, g=0.4, b=0.2, a=0.9}
          }
        },
        {
          filename = "__base__/graphics/entity/radar/radar-shadow.png",
          priority = "low",
          width = 172,
          height = 94,
          apply_projection = false,
          direction_count = 64,
          line_length = 8,
          shift = util.by_pixel(39/3,3/3),
          scale = 1/3,
          draw_as_shadow = true,
          hr_version = {
            filename = "__base__/graphics/entity/radar/hr-radar-shadow.png",
            priority = "low",
            width = 343,
            height = 186,
            apply_projection = false,
            direction_count = 64,
            line_length = 8,
            shift = util.by_pixel(39.25/3,3/3),
            draw_as_shadow = true,
            scale = 0.5/3
          }
        }
      }
    },
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
    working_sound =
    {
      sound = {
        {
          filename = "__base__/sound/radar.ogg"
        }
      },
      apparent_volume = 2,
	  max_sounds_per_type = 6,
    },
    radius_minimap_visualisation_color = { r = 0.059, g = 0.092, b = 0.235, a = 0.275 },
  }
})
